Bug 94220 - UI: Formula bar and cell edit show line break after hyphen
Summary: UI: Formula bar and cell edit show line break after hyphen
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Formula Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2015-09-14 21:19 UTC by tmacalp
Modified: 2018-06-21 02:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-09-14 21:19:17 UTC
Description:
When entering a formula into Calc, both the formula bar and the cell edit view treat - as a hyphen and show a linebreak after it.  This can lead to weirdness when entering extremely long simple formulas.  Instead, it should be treated as a normal minus symbol and not wrap the line.

Steps to reproduce:
1. New spreadsheet
2. Select any cell and enter the formula:
=1+1-1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1

Expected:
The formula should not break after the hyphen.

Actual:
The resulting formula simply appears as:
=1+1-

in the formula bar until you arrow to the right or down.  

And when you double click on the cell to edit directly, it appears as:
=1+1-
+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1+1

I've tested this behavior going all the way back to OpenOffice 3.2.1 using 64bit RHEL6.  It also affects LO 5.0.1.2.
Comment 1 raal 2015-09-15 11:33:59 UTC
Reproducible with version 5.0.1.2, win7
Comment 2 QA Administrators 2016-09-20 10:32:27 UTC Comment hidden (obsolete)
Comment 3 tmacalp 2017-03-10 18:35:35 UTC
Still reproducible in:
Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: x11; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 QA Administrators 2018-06-21 02:51:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug